<!DOCTYPE html>
<html>
<head>
	<meta charset="utf-8">
	<meta name="viewport" content="width=device-width, initial-scale=1">
	<title>Bootstrap Components</title>
</head>
<script src="https://kit.fontawesome.com/621556d6b7.js" crossorigin="anonymous"></script>
<link rel="stylesheet" href="https://cdn.jsdelivr.net/npm/bootstrap@4.6.1/dist/css/bootstrap.min.css" integrity="sha384-zCbKRCUGaJDkqS1kPbPd7TveP5iyJE0EjAuZQTgFLD2ylzuqKfdKlfG/eSrtxUkn" crossorigin="anonymous">
<!-- External CCS -->
<link rel="stylesheet" type="text/css" href="./index.css">
<body>
	<nav class="navbar navbar-expand-lg navbar-light bg-primary">
  <a class="navbar-brand" href="#">Navbar</a>
  <button class="navbar-toggler" type="button" data-toggle="collapse" data-target="#navbarSupportedContent" aria-controls="navbarSupportedContent" aria-expanded="false" aria-label="Toggle navigation">
    <span class="navbar-toggler-icon"></span>
  </button>

  <div class="collapse navbar-collapse" id="navbarSupportedContent">
    <ul class="navbar-nav mr-auto">
      <li class="nav-item">
        <a class="nav-link" href="#">Home </a>
      </li>
      <li class="nav-item">
        <a class="nav-link" href="#">Link</a>
      </li>
    </ul>
  </div>
</nav>
	<!-- End Of Navbar  -->

	<div class="container">
	    <div class="row jumbotron align-items-center my-3 flex-column text-white" id="banner">
	    	<div class="col-10 col-md-2">
	    		<img src="https://www.biography.com/.image/t_share/MTE5NDg0MDU0ODg4ODA5OTk5/charles-babbage-wc-9193834-1-402.jpg" class="img-fluid rounded-circle border border-dark">
	    	</div>
	    	<h2 class="my-2 text-center">Charles Babbage</h2>
	    	<h4 class="my-2 text-center">Full Stack Web Developer</h4>
	        <div class="col-md-8"></div> 
            <p class="text-justify my-2">
            	Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod
            	tempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam,
            	quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodo
            	consequat. Duis aute irure dolor in reprehenderit in voluptate velit esse
            	cillum dolore eu fugiat nulla pariatur. Excepteur sint occaecat cupidatat non
            	proident, sunt in culpa qui officia deserunt mollit anim id est laborum.
            </p>
	   </div>
	</div>
	<div>
		<!-- carousel -->
		<h2 class="text-center my-5">My Gallery</h2>
		<div class="row mb-5">
			<div class="col-md-6 mx-auto">
				<div id="carouselExampleCaptions" class="carousel slide" data-ride="carousel">
  <ol class="carousel-indicators">
    <li data-target="#carouselExampleCaptions" data-slide-to="0" class="active"></li>
    <li data-target="#carouselExampleCaptions" data-slide-to="1"></li>
    <li data-target="#carouselExampleCaptions" data-slide-to="2"></li> 
    <li data-target="#carouselExampleCaptions" data-slide-to="3"></li>
  </ol>
  <div class="carousel-inner">
    <div class="carousel-item active">
      <img src="https://place-puppy.com/500x300" class="d-block w-100" alt="...">
      <div class="carousel-caption">
        <h5>First slide label</h5>
        <p class="d-none d-md-block">Some representative placeholder content for the first slide.</p>
      </div>
    </div>
    <div class="carousel-item">
      <img src="https://placebear.com/500/300" class="d-block w-100" alt="...">
      <div class="carousel-caption">
        <h5>Second slide label</h5>
        <p class="d-none d-md-block">Some representative placeholder content for the second slide.</p>
      </div>
    </div>
    <div class="carousel-item">
      <img src="https://placekitten.com/500/300" class="d-block w-100" alt="...">
      <div class="carousel-caption">
        <h5>Third slide label</h5>
        <p class="d-none d-md-block">Some representative placeholder content for the third slide.</p>
      </div>
    </div>
    <div class="carousel-item">
      <img src="https://placekitten.com/500/300" class="d-block w-100" alt="...">
      <div class="carousel-caption">
        <h5>Fourth slide label</h5>
        <p class="d-none d-md-block">Some representative placeholder content for the third slide.</p>
      </div>
    </div>
  </div>
  <button class="carousel-control-prev" type="button" data-target="#carouselExampleCaptions" data-slide="prev">
    <span class="carousel-control-prev-icon" aria-hidden="true"></span>
    <span class="sr-only">Previous</span>
  </button>
  <button class="carousel-control-next" type="button" data-target="#carouselExampleCaptions" data-slide="next">
    <span class="carousel-control-next-icon" aria-hidden="true"></span>
    <span class="sr-only">Next</span>
  </button>
</div>
</div>
</div>
		<h2 class="text-center my-5">Contact Us</h2>
		<div class="row">
			<div class="col-md-6 my-4">
				<h3 class="text-center">Our Location</h3>
				<div class="mapouter"><div class="gmap_canvas"><iframe id="gmap_canvas" src="https://maps.google.com/maps?q=2880%20Broadway,%20New%20York&t=&z=13&ie=UTF8&iwloc=&output=embed" frameborder="0" scrolling="no" marginheight="0" marginwidth="0"></iframe>
			</div>
		</div>
	</div>
		<div class="col-md-6 my-4">
				<h3 class="text-center">Contact Form</h3>
				<form>
					<div class="form-group">
						<label for="text-email">Email:</label>
						<input type="email" name="email" id="text-email"
						placeholder="name@sample.com" class="form-control">
					</div>
					<div class="form-group">
						<label for="text-select">Example:</label>
						<select class="form-control" id="text-select" name="simpleSelect">
							<option>1</option>
							<option>2</option>
							<option>3</option>
							<option>4</option>
						</select>
					</div>
					<div class="form-group">
						<label for="text-textarea">Example TextArea</label>
						<textarea class="form-control" id="text-teaxtarea"rows="3"></textarea>
					</div>
					<button type="submit" class="btn btn-outline-success btn-block">Submit</button>
					<button type="reset" class="btn btn-outline-danger btn-block">Reset</button>
				</form>
			</div>
		</div>
<!-- end of container -->
</div>
<!-- end of main content -->
<footer class="p-3 bg-primary mt-5">
	<p class="text-center text-white">This is our footer</p>
	<p class="text-center text-white">You may add parting message, info or even links for your user</p>
	<div class="d-flex justify-content-center">
		<a href="https://facebook.com"target="_blank" class="mx-3">
			<i class="fab fa-facebook"></i>
		</a>
		<a href="https://gitlab.com"target="_blank" class="mx-3">
			<i class="fab fa-gitlab"></i>
		</a>
	</div>
</footer>
<script src="https://cdn.jsdelivr.net/npm/jquery@3.5.1/dist/jquery.slim.min.js" integrity="sha384-DfXdz2htPH0lsSSs5nCTpuj/zy4C+OGpamoFVy38MVBnE+IbbVYUew+OrCXaRkfj" crossorigin="anonymous"></script>
<script src="https://cdn.jsdelivr.net/npm/bootstrap@4.6.1/dist/js/bootstrap.bundle.min.js" integrity="sha384-fQybjgWLrvvRgtW6bFlB7jaZrFsaBXjsOMm/tB9LTS58ONXgqbR9W8oWht/amnpF" crossorigin="anonymous"></script>
</body>
</html>